<div class="container ">
  <div class="row">
    <div class="col-sm-4">
      <div class="field form-group">
        <%= link_to "Back", :back %>
      </div>
    </div>
    <div class="col-sm-4">
      <div class="field form-group text-center">
        <h2>Edit <%= resource_name.to_s.humanize %></h2>
      </div>
    </div>
    <div class="col-sm-4">
      <div class="field form-group text-right">
        <%= button_to "Delete my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, class: "btn btn-danger" %></p>
      </div>
    </div>
  </div>

  <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
    <%= render "devise/shared/error_messages", resource: resource %>

    <div class="row">
      <div class="col-sm-6">
        <div class="field form-group">
          <%= f.label :firstname %><br />
          <%= f.text_field :firstname, class:"form-control"%>
        </div>
      </div>
      <div class="col-sm-6">
        <div class="field form-group">
          <%= f.label :lastname %><br />
          <%= f.text_field :lastname, class:"form-control" %>
        </div>
      </div>
    </div>

    <div class="field form-group">
      <%= f.label :username %><br />
      <%= f.text_field :username, class:"form-control" %>
    </div>

    <div class="field form-group">
      <%= f.label :email %><br />
      <%= f.email_field :email, autofocus: true, autocomplete: "email", class:"form-control" %>
    </div>
    
    <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
      <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
    <% end %>

    <div class="field form-group">
      <%= f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
      <%= f.password_field :password, autocomplete: "new-password", class:"form-control" %>
      <% if @minimum_password_length %>
        <br />
        <em><%= @minimum_password_length %> characters minimum</em>
      <% end %>
    </div>

    <div class="field form-group">
      <%= f.label :password_confirmation %><br />
      <%= f.password_field :password_confirmation, autocomplete: "new-password", class:"form-control" %>
    </div>

    <div class="field form-group">
      <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
      <%= f.password_field :current_password, autocomplete: "current-password", class:"form-control" %>
    </div>

    <div class="row">
      <div class="col-md-4 offset-md-4">
        <div class="actions">
          <%= f.submit "Update", class: "btn btn-primary btn-block" %>
        </div>
      </div>
  <% end %>
</div>